Library Version 18.1.40

DB_ENV->get_errpfx()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_errpfx()

    #include <db.h>

    void
    DB_ENV->get_errpfx(DB_ENV *dbenv, const char **errpfxp);

The `DB_ENV->get_errpfx()` method returns the error prefix that appears before error messages issued by Berkeley DB. This error prefix is set using the DB_ENV->set_errpfx() method.

The `DB_ENV->get_errpfx()` method may be called at any time during the life of the application.

### Parameters

#### errpfxp

The `DB_ENV->get_errpfx()` method returns a reference to the error prefix in errpfxp.

### Class

DB_ENV

### See Also

Database Environments and Related Methods

Prev | Up | Next
DB_ENV->get_errfile() | Home | DB_ENV->get_backup_callbacks()